import { WebPlugin } from '@capacitor/core';
import type { SahhaPlugin, SahhaSettings, SahhaDemographic, SahhaSensor, SahhaSensorStatus } from './definitions';
export declare class SahhaWeb extends WebPlugin implements SahhaPlugin {
    configure(options: {
        settings: SahhaSettings;
    }): Promise<{
        success: boolean;
    }>;
    isAuthenticated(): Promise<{
        success: boolean;
    }>;
    authenticate(options: {
        appId: string;
        appSecret: string;
        externalId: string;
    }): Promise<{
        success: boolean;
    }>;
    authenticateToken(options: {
        profileToken: string;
        refreshToken: string;
    }): Promise<{
        success: boolean;
    }>;
    deauthenticate(): Promise<{
        success: boolean;
    }>;
    getProfileToken(): Promise<{
        profileToken?: string;
    }>;
    getDemographic(): Promise<{
        demographic?: string;
    }>;
    postDemographic(options: {
        demographic: SahhaDemographic;
    }): Promise<{
        success: boolean;
    }>;
    getSensorStatus(options: {
        sensors: SahhaSensor[];
    }): Promise<{
        status: SahhaSensorStatus;
    }>;
    enableSensors(options: {
        sensors: SahhaSensor[];
    }): Promise<{
        status: SahhaSensorStatus;
    }>;
    openAppSettings(): Promise<void>;
}
