var capacitorSahha = (function (exports, core) {
    'use strict';

    exports.SahhaEnvironment = void 0;
    (function (SahhaEnvironment) {
        SahhaEnvironment["sandbox"] = "sandbox";
        SahhaEnvironment["production"] = "production";
    })(exports.SahhaEnvironment || (exports.SahhaEnvironment = {}));
    exports.SahhaSensor = void 0;
    (function (SahhaSensor) {
        SahhaSensor["gender"] = "gender";
        SahhaSensor["date_of_birth"] = "date_of_birth";
        SahhaSensor["sleep"] = "sleep";
        SahhaSensor["step_count"] = "step_count";
        SahhaSensor["floor_count"] = "floor_count";
        SahhaSensor["heart_rate"] = "heart_rate";
        SahhaSensor["resting_heart_rate"] = "resting_heart_rate";
        SahhaSensor["walking_heart_rate_average"] = "walking_heart_rate_average";
        SahhaSensor["heart_rate_variability_sdnn"] = "heart_rate_variability_sdnn";
        SahhaSensor["heart_rate_variability_rmssd"] = "heart_rate_variability_rmssd";
        SahhaSensor["blood_pressure_systolic"] = "blood_pressure_systolic";
        SahhaSensor["blood_pressure_diastolic"] = "blood_pressure_diastolic";
        SahhaSensor["blood_glucose"] = "blood_glucose";
        SahhaSensor["vo2_max"] = "vo2_max";
        SahhaSensor["oxygen_saturation"] = "oxygen_saturation";
        SahhaSensor["respiratory_rate"] = "respiratory_rate";
        SahhaSensor["active_energy_burned"] = "active_energy_burned";
        SahhaSensor["basal_energy_burned"] = "basal_energy_burned";
        SahhaSensor["total_energy_burned"] = "total_energy_burned";
        SahhaSensor["basal_metabolic_rate"] = "basal_metabolic_rate";
        SahhaSensor["time_in_daylight"] = "time_in_daylight";
        SahhaSensor["body_temperature"] = "body_temperature";
        SahhaSensor["basal_body_temperature"] = "basal_body_temperature";
        SahhaSensor["sleeping_wrist_temperature"] = "sleeping_wrist_temperature";
        SahhaSensor["height"] = "height";
        SahhaSensor["weight"] = "weight";
        SahhaSensor["lean_body_mass"] = "lean_body_mass";
        SahhaSensor["body_mass_index"] = "body_mass_index";
        SahhaSensor["body_fat"] = "body_fat";
        SahhaSensor["body_water_mass"] = "body_water_mass";
        SahhaSensor["bone_mass"] = "bone_mass";
        SahhaSensor["waist_circumference"] = "waist_circumference";
        SahhaSensor["stand_time"] = "stand_time";
        SahhaSensor["move_time"] = "move_time";
        SahhaSensor["exercise_time"] = "exercise_time";
        SahhaSensor["activity_summary"] = "activity_summary";
        SahhaSensor["device_lock"] = "device_lock";
        SahhaSensor["exercise"] = "exercise";
    })(exports.SahhaSensor || (exports.SahhaSensor = {}));
    exports.SahhaSensorStatus = void 0;
    (function (SahhaSensorStatus) {
        SahhaSensorStatus[SahhaSensorStatus["pending"] = 0] = "pending";
        SahhaSensorStatus[SahhaSensorStatus["unavailable"] = 1] = "unavailable";
        SahhaSensorStatus[SahhaSensorStatus["disabled"] = 2] = "disabled";
        SahhaSensorStatus[SahhaSensorStatus["enabled"] = 3] = "enabled";
    })(exports.SahhaSensorStatus || (exports.SahhaSensorStatus = {}));
    exports.SahhaScoreType = void 0;
    (function (SahhaScoreType) {
        SahhaScoreType["wellbeing"] = "wellbeing";
        SahhaScoreType["activity"] = "activity";
        SahhaScoreType["sleep"] = "sleep";
        SahhaScoreType["readiness"] = "readiness";
        SahhaScoreType["mental_wellbeing"] = "mental_wellbeing";
    })(exports.SahhaScoreType || (exports.SahhaScoreType = {}));

    const Sahha = core.registerPlugin('Sahha', {
        web: () => Promise.resolve().then(function () { return web; }).then((m) => new m.SahhaWeb()),
    });

    class SahhaWeb extends core.WebPlugin {
        async configure(options) {
            console.log("configure", options);
            return { success: true };
        }
        async isAuthenticated() {
            console.log("isAuthenticated");
            return { success: true };
        }
        async authenticate(options) {
            console.log("authenticate", options);
            return { success: true };
        }
        async authenticateToken(options) {
            console.log("authenticateToken", options);
            return { success: true };
        }
        async deauthenticate() {
            console.log("deauthenticate");
            return { success: true };
        }
        async getProfileToken() {
            console.log("getProfileToken");
            return { profileToken: "ABC123" };
        }
        async getDemographic() {
            console.log("getDemographic");
            return { demographic: `{ "gender" : "Male", "age" : 40 }`
            };
        }
        async postDemographic(options) {
            console.log("postDemographic", options);
            return { success: true };
        }
        async getSensorStatus(options) {
            console.log("getSensorStatus", options);
            return { status: 0 };
        }
        async enableSensors(options) {
            console.log("enableSensors", options);
            return { status: 2 };
        }
        async openAppSettings() {
            console.log("openAppSettings");
            return;
        }
    }

    var web = /*#__PURE__*/Object.freeze({
        __proto__: null,
        SahhaWeb: SahhaWeb
    });

    exports.Sahha = Sahha;

    return exports;

})({}, capacitorExports);
//# sourceMappingURL=plugin.js.map
